/// <reference types="jest" />
import { MarioContext } from '../../context';
import { MarioAsset } from '../../utils';
declare type Await<T> = T extends {
    then(onFulfilled?: (value: infer U) => unknown): unknown;
} ? U : T;
export declare function generateMarioWithAssetGetterPlugin(plugin: (this: MarioContext, asset: MarioAsset) => Promise<MarioAsset>): Promise<{
    assetGetter: jest.Mock<Promise<MarioAsset>, [asset: MarioAsset]>;
    runMario: () => Promise<MarioAsset>;
}>;
export declare type Result = Await<ReturnType<typeof generateMarioWithAssetGetterPlugin>>;
export {};
