import { ArchiveCache, ArchiveItem } from '../cache';
import { MarioStandardOptions } from '../utils';
import { PackageItem } from './extract-archive';
export interface MarioContext {
    readonly root: string;
    readonly options: MarioStandardOptions;
    fetchArchive(url: string): Promise<ArchiveItem>;
    extractArchive(file: string): Promise<PackageItem>;
    isNil(value: unknown): boolean;
    isEmpty(value: unknown): boolean;
}
export interface MarioContextOptions {
    root: string;
    cache: ArchiveCache;
    options: MarioStandardOptions;
}
export declare function generateContext({ root, cache, options, }: MarioContextOptions): Promise<MarioContext>;
