import { Configuration, Package, Route } from '../schema';
import { CellNode, FlexContainerItemNode, FlexContainerNode, FragmentNode, GridContainerNode } from './nodes';
export declare type StructureNode = CellNode | FlexContainerNode | FlexContainerItemNode | FragmentNode | GridContainerNode;
export declare type Visitor = (node: StructureNode) => Promise<void>;
export declare class AST {
    private packages;
    private packageCache;
    route: Route;
    structure: GridContainerNode;
    constructor(configuration: Configuration);
    findPackage(name: string, version: string): Package;
    traverseStructure(visitor: Visitor, nodes?: Array<StructureNode>): Promise<void>;
    isCellNode<T>(node: StructureNode): node is CellNode<T>;
    isFlexContainerNode<T>(node: StructureNode): node is FlexContainerNode<T>;
    isFlexContainerItemNode<T>(node: StructureNode): node is FlexContainerItemNode<T>;
    isFragmentNode<T>(node: StructureNode): node is FragmentNode<T>;
    isGridContainerNode<T>(node: StructureNode): node is GridContainerNode<T>;
}
