export interface DefinitionShape {
    type: string;
    default?: unknown;
}
export interface ObjectDefinition extends DefinitionShape {
    type: 'object';
    properties?: Record<string, Definition>;
    required?: Array<string>;
}
export interface ArrayDefinition extends DefinitionShape {
    type: 'array';
}
export interface BooleanDefinition extends DefinitionShape {
    type: 'boolean';
    default?: boolean;
}
export interface IntegerDefinition extends DefinitionShape {
    type: 'integer';
    default?: number;
}
export interface NumberDefinition extends DefinitionShape {
    type: 'number';
    default?: number;
}
export interface NullDefinition extends DefinitionShape {
    type: 'null';
}
export interface StringDefinition extends DefinitionShape {
    type: 'string';
    default?: string;
}
export declare type Definition = ObjectDefinition | ArrayDefinition | BooleanDefinition | IntegerDefinition | NumberDefinition | NullDefinition | StringDefinition;
export declare function generateState(schema: Definition): Record<string, unknown>;
