import { MarioContext } from '../context';
import { AST } from '../parser';
export interface MarioAsset {
    /**
     * 资源名称
     */
    name: string;
    /**
     * 资源文件
     */
    source: string;
    /**
     * 资源文件绝对路径
     */
    path?: string;
    /**
     * 资源文件内容
     */
    code?: string;
    /**
     * 抽象语法树
     */
    ast?: AST;
}
export declare type MarioPlugin = (this: MarioContext, asset: MarioAsset) => Promise<MarioAsset>;
export interface Mario {
    run(context: MarioContext, asset: MarioAsset): Promise<MarioAsset>;
}
export declare function buildMario(plugins: Array<MarioPlugin>): Mario;
