import { MarioPlugin } from './mario';
export interface MarioCache {
    /**
     * Path of the cache directory.
     *
     * @default 'node_modules/.mario/cache'
     */
    directory: string;
}
export interface MarioInputs {
    [entryName: string]: string;
}
export interface MarioStandardInputs {
    [entryName: string]: string;
}
export interface MarioOutputs {
    /**
     * The URL prefix of generated files.
     *
     * @default 'auto'
     */
    publicPath?: string;
}
export interface MarioStandardOutputs {
    publicPath: string;
}
export interface MarioOptions {
    inputs: MarioInputs;
    outputs?: MarioOutputs;
    plugins: Array<MarioPlugin>;
    cache?: Partial<MarioCache>;
}
export interface MarioStandardOptions {
    inputs: MarioStandardInputs;
    outputs: MarioStandardOutputs;
    plugins: Array<MarioPlugin>;
    cache: MarioCache;
}
export declare function resolveOptions(options: MarioOptions): MarioStandardOptions;
